Subject: Re: [PATCH net-next 1/6] net: dsa: sja1105: populate supported_interfaces

From: "Russell King (Oracle)" <[email-masked]>
Date: Fri, 25 Feb 2022 12:41:13 +0000

On Fri, Feb 25, 2022 at 02:15:56PM +0200, Vladimir Oltean wrote:
> On Fri, Feb 25, 2022 at 12:08:02PM +0000, Russell King (Oracle) wrote:
> > On Fri, Feb 25, 2022 at 01:58:58PM +0200, Vladimir Oltean wrote:
> > > On Fri, Feb 25, 2022 at 11:56:02AM +0000, Russell King (Oracle) wrote:
> > > > Populate the supported interfaces bitmap for the SJA1105 DSA switch.
> > > > 
> > > > This switch only supports a static model of configuration, so we
> > > > restrict the interface modes to the configured setting.
> > > > 
> > > > Reviewed-by: Vladimir Oltean <[email-masked]>                                Signed-off-by: Russell King (Oracle) <[email-masked]>
> > > 
> > > These all appear on the same line, can you please fix and resend?
> > 
> > I hate vi/vim precisely because of this.
> > 
> > How this problem happens. I read the email in mutt under KDE's kconsole
> > with your attributation. I select the attributation so it can be pasted.
> > I edit the commit, which starts vi, move to the line containing my
> > sign-off, hit 'i' and paste it in.
> > 
> > The result is a line that _looks_ in vi as being entirely correct. The
> > next line follows on as if it is a separate line.
> > 
> > I save the commit message. When I look at it in "git log", again,
> > everything looks good.
> > 
> > The only times that it can be identified is after sending and looking
> > at it in mutt, and noticing that the Signed-off-by line appears to have
> > a# '+' prefix, indicating that mutt wrapped the line - or after it gets
> > merged into net-next when linux-next identifies the lack of s-o-b, by
> > which time it's too late to fix.
> > 
> > How do others avoid this problem? Not use vi/vim, but use some other
> > editor such as emacs or microemacs that doesn't have this crazy way of
> > dealing with multiple lines?
> 
> I do this in vim all the time and never had this problem.
> Maybe you're not realizing it's on the same line because you don't have
> line numbers turned on? A long line wrapped by the vim viewer would be
> obvious.
> 
> :set number

Thanks - Peter Zijlstra suggested "set showbreak=+" which works
wonderfully - gives the same indication that mutt does when reading
email that a line has wrapped and without being too intrusive but
makes the wrap visible.

The issue appears to be caused by a combination effect: not having
vim setup to identify wrapped lines, kconsole's copy-n-paste
behaviour where it attempts to replicate exactly what the program
in the terminal's output (even if it includes whitespace to the end
of the line), and probably the combination of mutt under screen under
mosh, resulting in the terminal thinking that the program wrote
"Reviewed-By: Joe Bloggs <[email-masked]>[large-number-of-space-characters]"

Anyway, "set showbreak=+" seems to be perfect.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!